hosting

GET /v1/vector/indexes/{indexId}

One vector index.

כל נקודות הקצה מסוג hosting

אימות

שלחו מפתח API כאסימון נושא (bearer token). על המפתח לכלול את הרשאה vector.view; מפתח שאינו כולל אותה יידחה בסטטוס 403, ולא 404.

נקודת קצה זו אינה דורשת מזהה ארגון. המפתח שלך כבר מזהה את הארגון שאליו הוא שייך, והתגובה מוגבלת אליו בלבד.

נסה זאת

החלף כל דבר בסוגריים זוויתיים בערכים משלך, ואת מציין מיקום המפתח במפתח מלוח הבקרה שלך.

curl -X GET https://api.zinndigital.com/v1/vector/indexes/{indexId} \
  -H "Authorization: Bearer zdk_live_…"

מחובר? קונסולת ה-API בלוח הבקרה שלך מזינה את מזהה הארגון האמיתי שלך ואת המפתח שלך, ומריצה את הבקשה מול ה-API הפיזי כך שתוכל לראות את התגובה בפועל. פתח נקודת קצה זו במסוף ה-API

פרטים

One index belonging to this organisation. Requires `vector.view`.

פרמטרים

שםסוגנדרשמה זה
indexId (path)stringכןThe index's id.

תשובה

שםסוגנדרשמה זה
idstringכן
namestringכןLower-case, hyphenated, unique within the organisation.
dimensionintegerכןThe width your embedding model emits, and the width reads return. Fixed at creation.
metricstring<cosine, l2, inner_product>כןThe distance function. Fixed at creation.
statusstring<ready, deleting>כן
vectorsintegerכןHow many vectors the index holds.
storage_bytesintegerכןWhat the index counts for against `vector_index_gb`. A published formula rather than a physical table size, so it is reproducible: 96 bytes of row overhead, plus the stored widt…
created_atstringכן

שגיאות שנקודה קצה זו עשויה להחזיר

401 · 403 · 404 · 429